%global	sname	ip4r

Summary:	IPv4/v6 type and IPv4/v6 range index type for PostgreSQL
Name:		postgresql-%{sname}
Version:	2.0.2
Release:	6%{?dist}
License:	BSD
Group:		Applications/Databases
# Note that the URL is generated, needs to be changed.
Source0:	http://pgfoundry.org/frs/download.php/3650/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/ip4r
BuildRequires:	postgresql-devel >= 9.1

Requires:	postgresql-server(:MODULE_COMPAT_%{postgresql_major})

%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
index-able version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}/usr/share/doc/pgsql/extension/README.ip4r

%files
%doc README.ip4r
%{_datadir}/pgsql/extension/*
%{_libdir}/pgsql/%{sname}.so

%changelog
* Tue Jan 06 2015 Jozef Mlich <jmlich@redhat.com> - 2.0.2-6
- rebuild because of broken dependency
  requires postgresql-server(:MODULE_COMPAT_9.3)

* Sun Aug 24 2014 Pavel Raiskup <praiskup@redhat.com> - 2.0.2-5
- rebuild as previously the %%postgresql_major was not expanded correctly

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 18 2014 Pavel Raiskup <praiskup@redhat.com> - 2.0.2-2
- make the package dependant on postgresql-server(:MODULE_COMPAT_*) (#1008939)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Pavel Raiskup <praiskup@redhat.com> - 2.0.2-1
- new upstream release

* Wed Sep 18 2013 Pavel Raiskup <praiskup@redhat.com> - 2.0-1
- rebase to the newest upstream version (#1009468)
- fix fedora-review complaints

* Wed Sep 18 2013 Pavel Raiskup <praiskup@redhat.com> - 1.05-8
- Rebuild against PostgreSQL 9.3

* Mon Aug 12 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.05-7
- Use special %%doc to install docs (#994049).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.05-1
- Update to 1.05.

* Mon Jul 19 2010 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.03-5
- Rebuilt against PostgreSQL 8.4. Fixes	bz #615715.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> 1.03-2
- Include unowned doc directory.

* Fri Feb 1 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.03-1
- Update to 1.03

* Sun Jan 20 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.02-1
- Update to 1.02

* Mon Jul 9 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 1.01-2
- Removed unneeded ldconfig calls, per bz review #246747

* Wed Jul 4 2007 - Devrim GUNDUZ <devrim@commandprompt.com> 1.01-1
- Initial RPM packaging for Fedora
